Summary: Simple DirectMedia Layer - Sample Mixer Library
Name: SDL_mixer
Version: 1.0.5
Release: 5
Source: %{name}-%{version}.tar.gz
Patch: SDL_mixer-libtool.patch
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.libsdl.org/projects/SDL_mixer/
Prefix: %{_prefix}
Requires: /sbin/ldconfig

%description
A simple multi-channel audio mixer for SDL.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for SDL_mixer, a simple multi-channel audio mixer for SDL.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

You need SDL_mixer-devel if you want to compile an application using SDL_mixer.

%prep
%setup 
%patch -p1 -b .libtool
rm acinclude.m4
aclocal
autoheader
automake || :
autoconf

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{prefix}/bin/playmus
%{prefix}/bin/playwave
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*a
%{prefix}/lib/lib*.so
%{prefix}/include/SDL/

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move libSDL_mixer.so in SDL_mixer-devel

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- added post and postun sections with /sbin/ldconfig

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- use RPM macros

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for Red Hat Powertools
- fix build with current libtool

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure
* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

